com.trendmicro.ds.platform.rest.object.newsfeed

## Class NewsEntry

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.newsfeed.NewsEntry

- All Implemented Interfaces:
    java.lang.Comparable<NewsEntry>

      public class NewsEntry
      extends java.lang.Object
      implements java.lang.Comparable<NewsEntry>

  Response object for the News Feed API.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NewsEntry.Category` List of Categories that are accepted by News Feed Entry.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(NewsEntry compareNewsEntry)`
    `NewsEntry.Category` | `getCategory()` Gets the category of the news entry.
    `java.lang.String` | `getContent()` Gets the content of the news feed entry.
    `java.lang.Long` | `getEntryID()` Gets the id of the news feed entry.
    `java.lang.String` | `getLink()` Gets the link of the news feed entry.
    `java.lang.String` | `getLinkText()` Gets the text to be displayed with the link.
    `java.util.Date` | `getPublishedDate()` Gets the published date of the news entry.
    `java.lang.String` | `getTitle()` Gets the title of the news feed entry.
    `boolean` | `isDismissed()` Gets the indication if the current user has dismissed the news entry.
    `boolean` | `isPinned()` Gets the indication if the news entry should be pinned.
    `boolean` | `isViewed()` Gets the indication if the current user has seen the news entry.
    `void` | `setCategory(NewsEntry.Category category)` Sets the category of the news entry.
    `void` | `setContent(java.lang.String content)` Sets the content of the news feed entry.
    `void` | `setDismissed(boolean dismissed)` Sets the indication if the current user has dismissed the news entry.
    `void` | `setEntryID(java.lang.Long entryID)` Sets the id of the news feed entry.
    `void` | `setLink(java.lang.String link)` Sets the link of the news feed entry.
    `void` | `setLinkText(java.lang.String linkText)` Sets the text to be displayed with the link.
    `void` | `setPinned(boolean pinned)` Sets the indication if the news entry should be pinned.
    `void` | `setPublishedDate(java.util.Date publishedDate)` Sets the published date of the news entry.
    `void` | `setTitle(java.lang.String title)` Sets the title of the news feed entry.
    `void` | `setViewed(boolean viewed)` Sets the indication if the current user has seen the news entry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsEntry

          public NewsEntry()

  - ### Method Detail

    - #### getEntryID

          public java.lang.Long getEntryID()

      Gets the id of the news feed entry.
      Returns:
        The id of the news feed entry.

    - #### setEntryID

          public void setEntryID(java.lang.Long entryID)

      Sets the id of the news feed entry.
      Parameters:
        `entryID` - The id of the news feed entry.

    - #### getTitle

          public java.lang.String getTitle()

      Gets the title of the news feed entry.
      Returns:
        The title of the news feed entry.

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets the title of the news feed entry.
      Parameters:
        `title` - The title of the news feed entry.

    - #### getContent

          public java.lang.String getContent()

      Gets the content of the news feed entry.
      Returns:
        The content of the news feed entry.

    - #### setContent

          public void setContent(java.lang.String content)

      Sets the content of the news feed entry.
      Parameters:
        `content` - The content of the news feed entry.

    - #### getLink

          public java.lang.String getLink()

      Gets the link of the news feed entry.
      Returns:
        The link of the news feed entry.

    - #### setLink

          public void setLink(java.lang.String link)

      Sets the link of the news feed entry.
      Parameters:
        `link` - the link of the news feed entry.

    - #### getLinkText

          public java.lang.String getLinkText()

      Gets the text to be displayed with the link.
      Returns:
        The text to be displayed with the link.

    - #### setLinkText

          public void setLinkText(java.lang.String linkText)

      Sets the text to be displayed with the link.
      Parameters:
        `linkText` - the text to be displayed with the link.

    - #### isViewed

          public boolean isViewed()

      Gets the indication if the current user has seen the news entry.
      Returns:
        true if the user has viewed the entry, false if they haven't.

    - #### setViewed

          public void setViewed(boolean viewed)

      Sets the indication if the current user has seen the news entry.
      Parameters:
        `viewed` - true if the user has viewed the entry, false if they haven't.

    - #### isDismissed

          public boolean isDismissed()

      Gets the indication if the current user has dismissed the news entry.
      Returns:
        true if the user has dismissed the entry, false if they haven't.

    - #### setDismissed

          public void setDismissed(boolean dismissed)

      Sets the indication if the current user has dismissed the news entry.
      Parameters:
        `dismissed` - true if the user has dismissed the entry, false if they haven't.

    - #### isPinned

          public boolean isPinned()

      Gets the indication if the news entry should be pinned.
      Returns:
        true if the news item is pinned, false if it is not.

    - #### setPinned

          public void setPinned(boolean pinned)

      Sets the indication if the news entry should be pinned.
      Parameters:
        `pinned` - true if the news item is pinned, false if it is not.

    - #### getPublishedDate

          public java.util.Date getPublishedDate()

      Gets the published date of the news entry.
      Returns:
        The published date of the news entry.

    - #### setPublishedDate

          public void setPublishedDate(java.util.Date publishedDate)

      Sets the published date of the news entry.
      Parameters:
        `publishedDate` - The published date of the news entry.

    - #### getCategory

          public NewsEntry.Category getCategory()

      Gets the category of the news entry.
      Returns:
        The category of the news entry.

    - #### setCategory

          public void setCategory(NewsEntry.Category category)

      Sets the category of the news entry.
      Parameters:
        `category` - The category of the news entry.

    - #### compareTo

          public int compareTo(NewsEntry compareNewsEntry)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<NewsEntry>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.